# -*- coding: utf-8 -*-
import ConfigParser, os
class Settings:
    def __init__(self):
        self.config = ConfigParser.ConfigParser()
        pass
    def getServer(self):
        file = open("/etc/xdg/webkiosk/preferences")
        self.config.readfp(file)
        file.close()
        if self.config.get("slideshow","use_local")=='true':
            self.url = self.config.get("slideshow","url")
        else:
            self.url = "http://linutop.tv"
        return (self.url,self.config.get("slideshow","invoice"),self.config.get("slideshow","email"))
    def setChannel(self,url):
        self.config.set("slideshow","pages",url)
        self.config.set("slideshow", "use_remote",'true')
        file = open("/etc/xdg/webkiosk/preferences","w")
        self.config.write(file)
        file.close()
    def getRemote(self):
        file = open("/etc/xdg/webkiosk/preferences")
        self.config.readfp(file)
        file.close()
        return self.config.get("slideshow","use_remote")=='true'
    def setLocal(self):
        self.config.set("slideshow", "use_remote", 'false')
        file = open("/etc/xdg/webkiosk/preferences","w")
        self.config.write(file)
        file.close()