#ifndef CLEANSER_H
#define CLEANSER_H

#include <QDir>
#include <QDateTime>
#include <QObject>
#include "settings.h"
#include <QtSystemInfo/QSystemStorageInfo>
#include <QDebug>

class Cleanser : public QObject
{
    Q_OBJECT
public:
    explicit Cleanser(Settings *settings, QObject *parent = 0);
    void check();

private:
    void clean();
    Settings * settings;
    QDateTime m_lastCleansing;
    QDir m_etagDir, m_cacheDir;
    QStringList m_toClean;

signals:

public slots:
private slots:
};

#endif // CLEANSER_H
